Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.couriers
Interface TwoWayCourier

All Superinterfaces:
  Courier, org.jboss.internal.soa.esb.couriers.DeliverOnlyCourier, org.jboss.internal.soa.esb.couriers.PickUpOnlyCourier

    public interface TwoWayCourier

extends Courier, org.jboss.internal.soa.esb.couriers.PickUpOnlyCourier

Method Summary
`Message` | `pickup(long waitTime)` Instruct the courier to wait for a pickup in the replyToEpr
`Message` | `pickup(long waitTime, EPR epr)` Instruct the courier to wait for a pickup in the specified EPR
`void` | `setReplyToEpr(EPR replyToEPR)` Sets the replyToEPR.
`void` | `setToEpr(EPR toEPR)` Sets the toEPR.

Methods inherited from interface org.jboss.soa.esb.couriers.Courier
`deliver`

Methods inherited from interface org.jboss.internal.soa.esb.couriers.DeliverOnlyCourier
`cleanup`

Methods inherited from interface org.jboss.internal.soa.esb.couriers.PickUpOnlyCourier
`cleanup`

Method Detail

### pickup

    Message pickup(long waitTime)
                   throws CourierException,
                          CourierTimeoutException

  Instruct the courier to wait for a pickup in the replyToEpr

  Specified by:
    `pickup` in interface `org.jboss.internal.soa.esb.couriers.PickUpOnlyCourier`
  Parameters:
    `waitTime` - - Pickup timeout for before giving up on this pickup. Time in millis.
  Returns:
    - the message that was picked up.
  Throws:
    `CourierException` - the courier fails (e.g., gets a flat tire).
    `CourierTimeoutException` - if the pickup timed out (nobody home).

### pickup

    Message pickup(long waitTime,
                   EPR epr)
                   throws CourierException,
                          CourierTimeoutException,
                          MalformedEPRException

  Instruct the courier to wait for a pickup in the specified EPR

  Parameters:
    `waitTime` - - Pickup timeout for before giving up on this pickup. Time in millis.
    `epr` - - Pickup address
  Returns:
    - the message that was picked up.
  Throws:
    `CourierException` - the courier fails (e.g., gets a flat tire).
    `CourierTimeoutException` - if the pickup timed out (nobody home).
    `MalformedEPRException`

### setToEpr

    void setToEpr(EPR toEPR)
                  throws CourierException,
                         MalformedEPRException

  Sets the toEPR. This can be used if the toEPR is not know at construction time of the Courier.

  Parameters:
    `toEPR` - - EPR specifying the 'to' address.
  Throws:
    `CourierException`
    `MalformedEPRException`

### setReplyToEpr

    void setReplyToEpr(EPR replyToEPR)
                       throws CourierException,
                              MalformedEPRException

  Sets the replyToEPR. This can be used if the replyToEPR is not know at construction time of the Courier.

  Parameters:
    `replyToEPR` - - EPR specifying the reply to address.
  Throws:
    `CourierException`
    `MalformedEPRException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD